package cc.fascinated.bat.features.scoresaber.profile;

import cc.fascinated.bat.common.Profile;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author Fascinated (fascinated7)
 */
@Setter @Getter
public class UserScoreSaberProfile extends Profile implements Serializable {
    /**
     * The Account ID of the ScoreSaber profile
     */
    private String steamId;

    public UserScoreSaberProfile() {
        super("scoresaber");
    }

    @Override
    public void reset() {
        this.steamId = null;
    }
}
